package com.dsic.gj_erp.jszb.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 流向（M、L）、组立（大、中）、种类（板）
 */
@Getter
@Setter
public class FlowAndAssembly {
    @ExcelProperty("船号")
    private String shipNumber;
    @ExcelProperty("分段号")
    private String sectionNumber;
    @ExcelProperty("批量")
    private Integer batch;
    @ExcelProperty("零件名称")
    private String partName;
    @ExcelProperty("种类")
    private String type;
    @ExcelProperty("规格")
    private String specification;
    @ExcelProperty("数量")
    private Integer quantity;
    @ExcelProperty("材质")
    private String material;
    @ExcelProperty("特征")
    private String feature;
    @ExcelProperty("流向")
    private String flow;
    @ExcelProperty("下级")
    private String nextLevel;
    @ExcelProperty("套料图信息")
    private String nestingInfo;
    @ExcelProperty("场地")
    private String location;
}
