package com.dsic.gj_erp.listeners;

import cn.hutool.core.util.StrUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.dsic.gj_erp.bean.jhgk.excel.ZrcAndPlb;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

@Getter
public class ExcelZrcAndPlb extends AnalysisEventListener<ZrcAndPlb> {

    private List<ZrcAndPlb> list;
    private final AtomicInteger dataOrder=new AtomicInteger(0);

    @Override
    public void invoke(ZrcAndPlb zrcAndPlb, AnalysisContext analysisContext) {
        zrcAndPlb.setDcPl(StrUtil.padPre(zrcAndPlb.getDcPl(),3,"0"));
        zrcAndPlb.setDataOrder(dataOrder.getAndIncrement());
        list.add(zrcAndPlb);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

    public ExcelZrcAndPlb(){
        this.list=new ArrayList<>();
    }
}
