package com.dsic.gj_erp.util;

import java.io.File;

/**
 * FileUtil:
 *
 * @author xhj
 * @date 2023/09/15
 */
public class MyFileUtil {

    public static boolean deleteFolder(File folder) {
        if (folder == null || !folder.exists()) {
            return false; // 文件夹不存在或为空，删除失败
        }

        if (folder.isDirectory()) {
            File[] files = folder.listFiles();
            if (files != null) {
                for (File file : files) {
                    if (file.isDirectory()) {
                        // 递归删除子文件夹
                        deleteFolder(file);
                    } else {
                        // 删除文件
                        if (!file.delete()) {
                            System.out.println("无法删除文件: " + file);
                        }
                    }
                }
            }
        }

        // 删除空文件夹
        return folder.delete();
    }
    public static void deleteDirectory(File folder) {
        if (folder.isDirectory()) {
            File[] files = folder.listFiles();
            if (files != null) {
                for (File file : files) {
                    deleteDirectory(file);
                }
            }
        }
        folder.delete(); // Delete empty directory or file
    }
}
