package com.dsic.gj_erp.service.sy;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsic.gj_erp.bean.sy.SyDictItem;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xhj
 * @since 2021-03-16
 */

public interface SyDictItemService extends IService<SyDictItem> {

    public String translateDictFromTable(String table, String text, String code, String key);
    public String translateDict(String code, String key);
    public String translateDictFromTableByKey(String table, String text, String code, String key,String code1, String key1);
    public List<SyDictItem> getByCode(SyDictItem syDictItem);
    public   List<Map<String, Object>> getCodeByString(String code);

    public Map<String,SyDictItem> getCodeToMap(String dictCode);

}
